﻿using System;

using TestCommon;

namespace TestSender
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            Console.WriteLine("메시지 전송을 위해 아무 키나 눌러 주시기 바랍니다.");

            Console.ReadKey();

            //using(Sender sender = new Sender())
            //{
            //    sender.Initialize("127.0.0.1:4222", "foo");
            //
            //    for(int i = 0; i < 10; i++)
            //    {
            //        sender.SendMessage(string.Format("테스트 메시지 : {0}", i + 1));
            //    }
            //}

            using(Sender sender = new Sender())
            {
                sender.Initialize("127.0.0.1:4222", "foo");
            
                for(int i = 0; i < 10; i++)
                {
                    string reply = sender.RequestMessage(string.Format("테스트 메시지 : {0}", i + 1), 5000);
            
                    Console.WriteLine(reply);
                }
            }
        }

        #endregion
    }
}